Bug 63967 - Installer crashes while formatting /boot filesystem
Installer crashes while formatting /boot filesystem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 16:40 EDT by Bob Ready
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Ready 2002-04-22 16:40:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; DigExt; Q312461)

Description of problem:
When creating the boot sector file system, an unhandled exception is raised and 
the installer exits.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Graphical installer from CD boot menu
2. Complete Installation preferences
3. Begin installation of RedHat

Actual Results:  Error: Unhandled Exception (Says it is probably a bug)

Installation exits, system reboots

Expected Results:  Installation of RedHat Linux 7.2

Additional info:
Comment 1 Bob Ready 2002-04-22 18:02:45 EDT
I recreated the error and documented it as follows:

1) Workstation installation in graphical mode
2) Auto Partition; manually set /root partition to 6999 Mb, Fixed Size
   (This partition is an empty 40Gb hard drive on IDE2 as Slave, primary hard 
drive is IDE1 as Master)

3) Selected GRUB boot loader
4) Selected: Install boot loader on first sector of boot partition
5) 2 boot devices:

   Default  /dev/hdb2  ext3     RedHat Linux
            /dev/hdc1  ntfs     Windows

6) Selected Default Firewalls, medium security
7) Selected all Package Groups
8) Selected nVidia GeForce2 MX (generic) video device
9) Confirmed Install
10) Installer formatted / Filesystem
11) Installer: Formatting /boot Filesystem

*Here's where the error came in. Unhandled exception, here's the error message:

Traceback (innermost last):
File "/usr/bin/anaconda", line 620, in ?
    inft.run(id,dispatch,configFileData)
File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run(self.runres, configFileData)
File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop()
File "/usr/lib/python1.5/site-packages/gtk,py", line 2608, in mainloop
    _gtk.gtk_main()
File "/usr/lib/anaconda/gui.py", line 497, in handleReaderCallback
    self.currentWindow.renderCallback()
File "/usr/lib/anaconda/program_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(Args))
File "/usr/lib/anaconda/packages.py", line 434, in doPreInstall
    method.mergeFullHeaders(id.hdlist)
File "/usr/lib/anaconda/image.py", line 26, in MergeFullHeaders
    method.mergeFullHeaders(self.tree + "/RedHat/base/ln/list2"
File "/usr/lib/anaconda/comps.psy", line 161, in MergeFullHeaders
     rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
rpm.error: match tag mismatch

Installer exits, prompts for system reboot.
Comment 2 Michael Fulbright 2002-04-24 11:57:26 EDT
Could you attach the remainder of the crash dump file?
Comment 3 Michael Fulbright 2002-05-23 12:55:26 EDT
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:46 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.